Cannot upgrade to latest version

Since version 1.25.68, I haven’t been able to upgrade to version1.25.70, I purged the package, removed it but still during installation it still downloads version 1.25.68 instead of 1.25.70. I’m on ubuntu btw.